Show / Hide Table of Contents

# Class SeString

This class represents a parsed SeString.

##### Inheritance

System.Object
SeString

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat.SeStringHandling

###### Assembly: Dalamud.dll

##### Syntax

    public class SeString

### Constructors

| Improve this Doc View Source

#### SeString(List<Payload>)

##### Declaration

    public SeString(List<Payload> payloads)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Collections.Generic.List<Payload> | payloads |

### Properties

| Improve this Doc View Source

#### Payloads

##### Declaration

    public List<Payload> Payloads { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<Payload> |

| Improve this Doc View Source

#### TextValue

Helper function to get all raw text from a message as a single joined string

##### Declaration

    public string TextValue { get; }

##### Property Value

Type | Description
--- | ---
System.String | All the raw text from the contained payloads, joined into a single string

### Methods

| Improve this Doc View Source

#### Encode()

Encode a parsed/created SeString to an array of bytes, to be used for injection.

##### Declaration

    public byte[] Encode()

##### Returns

Type | Description
--- | ---
System.Byte[] | The bytes of the message.

| Improve this Doc View Source

#### Parse(Byte[])

Parse an array of bytes to a SeString.

##### Declaration

    public static SeString Parse(byte[] bytes)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | bytes |

##### Returns

Type | Description
--- | ---
SeString |